"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
const deleteMethods_1 = require("./utils/deleteMethods");
const updateMethods_1 = require("./utils/updateMethods");
const filterMethods_1 = require("./utils/filterMethods");
const validateMethods_1 = require("./utils/validateMethods");
const aggregateMethods_ts_1 = require("./utils/aggregateMethods.ts");
const selectionMethods_1 = require("./utils/selectionMethods");
function config() {
    Array.prototype.findOneAndUpdate = updateMethods_1.findOneAndUpdate;
    Array.prototype.updateObjectInArray = updateMethods_1.updateObjectInArray;
    Array.prototype.deleteOneByValue = deleteMethods_1.deleteOneByValue;
    Array.prototype.deleteAllByValue = deleteMethods_1.deleteAllByValue;
    Array.prototype.deleteOneWhere = deleteMethods_1.deleteOneWhere;
    Array.prototype.deleteAllWhere = deleteMethods_1.deleteAllWhere;
    Array.prototype.filterNullish = filterMethods_1.filterNullish;
    Array.prototype.distinct = filterMethods_1.distinct;
    Array.prototype.isEmpty = validateMethods_1.isEmpty;
    Array.prototype.isUnique = validateMethods_1.isUnique;
    Array.prototype.groupBy = aggregateMethods_ts_1.groupBy;
    Array.prototype.allElementsOfType = validateMethods_1.allElementsOfType;
    Array.prototype.countBy = aggregateMethods_ts_1.countBy;
    Array.prototype.countValues = aggregateMethods_ts_1.countValues;
    Array.prototype.union = aggregateMethods_ts_1.union;
    Array.prototype.intersect = aggregateMethods_ts_1.intersect;
    Array.prototype.sample = selectionMethods_1.sample;
    Array.prototype.difference = aggregateMethods_ts_1.difference;
}
exports.config = config;
