"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.groupBy = void 0;
/**
 * Groups array of objects by one or more keys
 * @param arr Array of objects to group
 * @param keys One or more keys to group by
 * @returns Object with grouped keys as properties and grouped values as arrays
 */
function groupBy(...keys) {
    return this.reduce((acc, obj) => {
        var _a;
        const key = keys.map(key => obj[key]).join('.');
        ((_a = acc[key]) !== null && _a !== void 0 ? _a : (acc[key] = [])).push(obj);
        return acc;
    }, {});
}
exports.groupBy = groupBy;
